Up

# NSStepperCell

### Authors

Pierre-Yves Rivaille (`pyrivail@ens-lyon.fr`)
Fred Kiefer (`FredKiefer@gmx.de`)

Copyright: (C) 2001 Free Software Foundation, Inc.

# Software documentation for the NSStepperCell class

## NSStepperCell : NSActionCell

> Declared in:
>   AppKit/NSStepperCell.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -autorepeat
- -increment
- -maxValue
- -minValue
- -setAutorepeat:
- -setIncrement:
- -setMaxValue:
- -setMinValue:
- -setValueWraps:
- -valueWraps

### autorepeat

- (BOOL) autorepeat;
Availability: OpenStep
Description forthcoming.

### increment

- (double) increment;
Availability: OpenStep
Description forthcoming.

### maxValue

- (double) maxValue;
Availability: OpenStep
Description forthcoming.

### minValue

- (double) minValue;
Availability: OpenStep
Description forthcoming.

### setAutorepeat:

- (void) setAutorepeat: (BOOL)autorepeat;
Availability: OpenStep
Description forthcoming.

### setIncrement:

- (void) setIncrement: (double)increment;
Availability: OpenStep
Description forthcoming.

### setMaxValue:

- (void) setMaxValue: (double)maxValue;
Availability: OpenStep
Description forthcoming.

### setMinValue:

- (void) setMinValue: (double)minValue;
Availability: OpenStep
Description forthcoming.

### setValueWraps:

- (void) setValueWraps: (BOOL)valueWraps;
Availability: OpenStep
Description forthcoming.

### valueWraps

- (BOOL) valueWraps;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSStepperCell Class

### _increment

@protected double _increment;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _maxValue

@protected double _maxValue;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _minValue

@protected double _minValue;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### highlightDown

@protected BOOL highlightDown;
Availability: OpenStep
Description forthcoming.

### highlightUp

@protected BOOL highlightUp;
Availability: OpenStep
Description forthcoming.

Up